gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Layout.HButtonBox

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A container for arranging buttons horizontally

Synopsis

- data HButtonBox
- class ButtonBoxClass o => HButtonBoxClass o
- castToHButtonBox :: GObjectClass obj => obj -> HButtonBox
- gTypeHButtonBox :: GType
- toHButtonBox :: HButtonBoxClass o => o -> HButtonBox
- hButtonBoxNew :: IO HButtonBox

# Detail

A button box should be used to provide a consistent layout of buttons throughout your application. The layout/spacing can be altered by the programmer, or if desired, by the user to alter the 'feel' of a program to a small degree.

A `HButtonBox` is created with `hButtonBoxNew`. Buttons are packed into a button box the same way widgets are added to any other container, using `containerAdd`. You can also use `boxPackStart` or `boxPackEnd`, but for button boxes both these functions work just like `containerAdd`, ie., they pack the button in a way that depends on the current layout style and on whether the button has had `buttonBoxSetChildSecondary` called on it.

The spacing between buttons can be set with `boxSetSpacing`. The arrangement and layout of the buttons can be changed with `buttonBoxSetLayout`.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Box
    | +----ButtonBox
    | +----HButtonBox

# Types

data HButtonBox Source #

#### Instances

Instances details

Eq HButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: HButtonBox -> HButtonBox -> Bool Source # (/=) :: HButtonBox -> HButtonBox -> Bool Source #
Ord HButtonBox Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: HButtonBox -> HButtonBox -> Ordering Source #

(<) :: HButtonBox -> HButtonBox -> Bool Source #

(<=) :: HButtonBox -> HButtonBox -> Bool Source #

(>) :: HButtonBox -> HButtonBox -> Bool Source #

(>=) :: HButtonBox -> HButtonBox -> Bool Source #

max :: HButtonBox -> HButtonBox -> HButtonBox Source #

min :: HButtonBox -> HButtonBox -> HButtonBox Source #

GObjectClass HButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: HButtonBox -> GObject Source # unsafeCastGObject :: GObject -> HButtonBox Source #
BoxClass HButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ButtonBoxClass HButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass HButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
HButtonBoxClass HButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass HButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ButtonBoxClass o => HButtonBoxClass o Source #

#### Instances

Instances details

HButtonBoxClass HButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToHButtonBox :: GObjectClass obj => obj -> HButtonBox Source #

gTypeHButtonBox :: GType Source #

toHButtonBox :: HButtonBoxClass o => o -> HButtonBox Source #

# Constructors

hButtonBoxNew :: IO HButtonBox Source #

Creates a new horizontal button box.